### Hierarchy

- XmlAttributeComponent<IFootnotesAttributesProperties>
  - FootnotesAttributes

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted

### Methods

- prepForXml
- set

### Object literals

- xmlKeys

## Constructors

### constructor

- new FootnotesAttributes(properties: IFootnotesAttributesProperties): FootnotesAttributes

- Inherited from XmlAttributeComponent.constructor

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:8

  #### Parameters

  - ##### properties: IFootnotesAttributesProperties

  #### Returns FootnotesAttributes

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: IFootnotesAttributesProperties

Inherited from XmlAttributeComponent.root

- Defined in file/xml-components/default-attributes.ts:7

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlAttributeComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:15

  #### Returns IXmlableObject

### set

- set(properties: IFootnotesAttributesProperties): void

- Inherited from XmlAttributeComponent.set

  - Defined in file/xml-components/default-attributes.ts:27

  #### Parameters

  - ##### properties: IFootnotesAttributesProperties

  #### Returns void

## Object literals

### Protected xmlKeys

xmlKeys: object

Overrides XmlAttributeComponent.xmlKeys

- Defined in file/footnotes/footnotes-attributes.ts:24

### Ignorable

Ignorable: string = "mc:Ignorable"

- Defined in file/footnotes/footnotes-attributes.ts:41

### m

m: string = "xmlns:m"

- Defined in file/footnotes/footnotes-attributes.ts:29

### mc

mc: string = "xmlns:mc"

- Defined in file/footnotes/footnotes-attributes.ts:26

### o

o: string = "xmlns:o"

- Defined in file/footnotes/footnotes-attributes.ts:27

### r

r: string = "xmlns:r"

- Defined in file/footnotes/footnotes-attributes.ts:28

### v

v: string = "xmlns:v"

- Defined in file/footnotes/footnotes-attributes.ts:30

### w

w: string = "xmlns:w"

- Defined in file/footnotes/footnotes-attributes.ts:34

### w10

w10: string = "xmlns:w10"

- Defined in file/footnotes/footnotes-attributes.ts:33

### w14

w14: string = "xmlns:w14"

- Defined in file/footnotes/footnotes-attributes.ts:35

### w15

w15: string = "xmlns:w15"

- Defined in file/footnotes/footnotes-attributes.ts:36

### wne

wne: string = "xmlns:wne"

- Defined in file/footnotes/footnotes-attributes.ts:39

### wp

wp: string = "xmlns:wp"

- Defined in file/footnotes/footnotes-attributes.ts:32

### wp14

wp14: string = "xmlns:wp14"

- Defined in file/footnotes/footnotes-attributes.ts:31

### wpc

wpc: string = "xmlns:wpc"

- Defined in file/footnotes/footnotes-attributes.ts:25

### wpg

wpg: string = "xmlns:wpg"

- Defined in file/footnotes/footnotes-attributes.ts:37

### wpi

wpi: string = "xmlns:wpi"

- Defined in file/footnotes/footnotes-attributes.ts:38

### wps

wps: string = "xmlns:wps"

- Defined in file/footnotes/footnotes-attributes.ts:40

Generated using TypeDoc